Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class JboTesterUtil

    java.lang.Object
      |
      +--oracle.jbo.jbotester.JboTesterUtil

public final class JboTesterUtil
extends java.lang.Object

Field Summary
`static java.lang.String` | `EJB_JARNAME`
`static java.lang.String` | `IMAGELOC`

Constructor Summary
`JboTesterUtil()`

Method Summary
`static void` | `centerWindow(java.awt.Window win)`
`static void` | `createViewCriteria(MainFrame parent, ViewObject vo)`
`static java.lang.String` | `getDataAsXML(ViewObject vo)`
`static AttributeDef[]` | `getDisplayableAttributes(StructureDef sDef)`
`static javax.swing.ImageIcon` | `getIcon(java.lang.String iconName)`
`static int` | `getSafeLength(AttributeDef attrDef, int minLength, int maxLength)`
`static boolean` | `isAssociatedColumn(AttributeDef attrDef)`
`static void` | `removeKeyBindingCompatibility(javax.swing.JTextField tf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_JARNAME

    public static final java.lang.String EJB_JARNAME

### IMAGELOC

    public static final java.lang.String IMAGELOC

Constructor Detail

### JboTesterUtil

    public JboTesterUtil()

Method Detail

### centerWindow

    public static void centerWindow(java.awt.Window win)

### getDataAsXML

    public static java.lang.String getDataAsXML(ViewObject vo)

### isAssociatedColumn

    public static boolean isAssociatedColumn(AttributeDef attrDef)

### getDisplayableAttributes

    public static AttributeDef[] getDisplayableAttributes(StructureDef sDef)

### getSafeLength

    public static int getSafeLength(AttributeDef attrDef,
                                    int minLength,
                                    int maxLength)

### getIcon

    public static javax.swing.ImageIcon getIcon(java.lang.String iconName)

### removeKeyBindingCompatibility

    public static void removeKeyBindingCompatibility(javax.swing.JTextField tf)

### createViewCriteria

    public static void createViewCriteria(MainFrame parent,
                                          ViewObject vo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD